# Accept a proposed life event

`POST /life/events/{id}/accept` · Rivier · agents

Accept a proposed life event.

- Scope: agents:write
- Mcp: rivier_personas_life_decide
- Graphql: Mutation.agentsLifeAccept
- Sdk: agents.life.accept
- Cli: agents life accept

## Parameters

- `id` (path, required), string

## Request body

`application/json`

```json
{
  "type": "object",
  "properties": {
    "note": {
      "type": "string",
      "maxLength": 500
    }
  },
  "additionalProperties": false
}
```

## Responses

- `200`: Success
- `400`: The request was malformed
- `401`: No valid credential
- `403`: The credential lacks the scope, origin or address
- `429`: Over the key's rate limit; see Retry-After

## Example

```sh
curl -X POST 'https://api.rivier.ai/life/events/{id}/accept' \
  -H 'Authorization: Bearer $KEY' \
  -H 'Content-Type: application/json' \
  -d '{
  "note": "string"
}'
```
